<?xml version="1.0" encoding="UTF-8"?>
<api context="/getAccessToken" name="SFTokenCall_API" xmlns="http://ws.apache.org/ns/synapse">
    <resource methods="POST">
        <inSequence>
            <log level="custom">
                <property name="Processing started" value="Get Access Token process started"/>
            </log>
            <property name="uri.var.grant_type" scope="default" type="STRING" value="password"/>
            <property name="uri.var.client_id" scope="default" type="STRING" value="3MVG95AcBeaB55lW3.tpK2PJFiG8Jn7UkL6ycKUF2nn2jgrZuyT_40NMlQTrjOWaKzbcjpE_BDjlCNiKaxUDa"/>
            <property name="uri.var.client_secret" scope="default" type="STRING" value="13DB32CF2AC64FBADA76A0475FC2880B3F540329D2EFBA75F058C6636BED4849"/>
            <property name="uri.var.username" scope="default" type="STRING" value="janaki.malleni@tieto.com.dev"/>
            <property name="uri.var.password" scope="default" type="STRING" value="Janaki1234JqMsd4ZwnkxCFABqQr3hLaw7m"/>
            <call>
                <endpoint>
                    <http method="post" uri-template="https://cs102.salesforce.com/services/oauth2/token?grant_type={uri.var.grant_type}&amp;client_id={uri.var.client_id}&amp;client_secret={uri.var.client_secret}&amp;username={uri.var.username}&amp;password={uri.var.password}"/>
                </endpoint>
            </call>
            <log level="full">
                <property name="Success" value="Access Token Received"/>
            </log>
            <respond/>
        </inSequence>
        <outSequence/>
        <faultSequence/>
    </resource>
</api>
